sc::MaxIterExceeded Class Reference

This is thrown when an iterative algorithm attempts to use more iterations than allowed. More...

`#include <scexception.h>`

Inheritance diagram for sc::MaxIterExceeded:
[legend]
Collaboration diagram for sc::MaxIterExceeded:
[legend]

## Public Member Functions

| MaxIterExceeded (const char *description=0, const char *file=0, int line=0, int maxiter=0, const ClassDesc *class_desc=0, const char *exception_type="MaxIterExceeded") throw ()
| MaxIterExceeded (const MaxIterExceeded &) throw ()
int | max_iter () const throw ()
Public Member Functions inherited from sc::AlgorithmException
| AlgorithmException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="AlgorithmException") throw ()
| AlgorithmException (const AlgorithmException &) throw ()
Public Member Functions inherited from sc::SCException
| SCException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="SCException") throw ()
| SCException (const SCException &) throw ()
const char * | what () const throw ()
| Reimplementation of std::exception::what(). More...
const char * | description () const throw ()
const char * | file () const throw ()
int | line () const throw ()
const ClassDesc * | class_desc () const throw ()
const char * | exception_type () const throw ()
std::ostream & | elaborate ()
| Returns a stream where addition information about the exception can be written. More...

## Detailed Description

This is thrown when an iterative algorithm attempts to use more iterations than allowed.

The documentation for this class was generated from the following file:

- scexception.h